const { createApp } = Vue;

createApp({
  data() {
    return {
      appData: {
        project: {
          nationalLevel: 0,
          provincialLevel: 0,
          schoolLevel: 0,
          typeOne: 0,
          typeTwo: 0,
          typeThree: 0,
          projectTotal: 0,
          studentTotal: 0
        }
      }
    }
  },
  methods: {
    getAppData() {
      fetchReq.get('/system/bigScreen/getValueByKey', { key: 'inen_appData_project' }).then(res => {
        if (res.success) {
          this.appData.project = res.result
        }
      })
    }
  },
  created() {
    this.getAppData()
  }
}).mount('#app')
